#version 330 core
 
in vec4 vertexPosition;
in vec3 vertexNormal;
in vec4 vertexTexCoord0;
in vec4 vertexTexCoord1;
in vec4 vertexTexCoord2;
in vec4 vertexTexCoord3;
in vec4 vertexColor;

out vec4 position;
out vec3 normal;
out vec4 texCoord0;
out vec4 texCoord1;
out vec4 texCoord2;
out vec4 texCoord3;
out vec4 color;
 
void main(void) 
{
	position = vertexPosition;
	gl_Position = position;
	
	normal = vertexNormal;
	
	texCoord0 = vertexTexCoord0;
	texCoord1 = vertexTexCoord1;
	texCoord2 = vertexTexCoord2;
	texCoord3 = vertexTexCoord3;
	
	color = vertexColor;
}