#version 330 core

uniform sampler2DArray colorTex;

in vec4 color;
in vec4 texCoord0;

out vec4 fragColor;

void main()
{
    fragColor = color * texture(colorTex, texCoord0.xyz);
    if(fragColor.a < 1.0/255.0)
    	discard;
}